Bug 1416895 - Duplicate folder names between host & vm/templates causes placement issues
Summary: Duplicate folder names between host & vm/templates causes placement issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.4.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.6.4
Assignee: Drew Bomhof
QA Contact: Leo Khomenko
URL:
Whiteboard: vmware:provision
Depends On: 1414136
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 17:40 UTC by Satoe Imaishi
Modified: 2020-04-15 15:09 UTC (History)
7 users (show)

Fixed In Version: 5.6.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1414136
Environment:
Last Closed: 2017-03-09 17:08:50 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 0 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 2 CFME Bot 2017-01-26 17:56:17 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/a0936b274a67300c341b3efcbe4d0b9869d45c7d

commit a0936b274a67300c341b3efcbe4d0b9869d45c7d
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Jan 25 13:45:14 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 26 12:49:51 2017 -0500

    Merge pull request #13629 from gmcculloug/set_folder_vm_folders_only
    
    Set folder vm folders only
    (cherry picked from commit 9eaa50e919869c704eea0bef229723fbc5413ebd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416895

 app/models/miq_request_workflow.rb       | 10 +++++---
 app/models/mixins/miq_provision_mixin.rb | 41 +++++++++++---------------------
 2 files changed, 21 insertions(+), 30 deletions(-)

Comment 3 Leo Khomenko 2017-02-02 15:56:00 UTC
host was placed in Host_folded_1 and VM folder was with the same name Host_Folder_1 - Vm got provisioned successfully

Comment 5 errata-xmlrpc 2017-03-09 17:08:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.